Delete Malware Policy

Prev Next

This URL deletes the specified malware policy

Resource URL

DELETE /malwarepolicy/<policy_id>

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
policy_id Policy id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Status returned by deletion Number

Example

Request

DELETEhttps://%3CNSM_IP%3E/sdkapi/malwarepolicy/301

Response

{
"status":1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 2501 Invalid advanced malware policy id/ policy not visible to this domain
2 400 2503 Assigned malware policy cannot be deleted